package com.ruoyi.cai.enums;

import lombok.Getter;

@Getter
public enum AccountChangeEnum {

    // 用户端
    USER_RECHARGE(101,"充值","购买紫贝","RECHARGE",""),
//    A2(102,"注册奖励","增加充值的紫贝"),
//    A3(103,"首充奖励","增加充值的紫贝"),
    USER_GIFT(104,"送出礼物","送出礼物","GIFT",""),
    USER_GUARD(105,"送出守护","送出守护","GUARD",""),
    USER_VIDEO(106,"视频支出","视频支出","VIDEO",""),
    USER_IM(107,"聊天支出","聊天支出","IM",""),
    WITHDRAW(108,"提现","提现","","WITHDRAW"),

    // 主播端
    ANCHOR_GIFT(201,"收到礼物","收到礼物","GIFT",""),
    ANCHOR_GUARD(202,"收到守护","收到守护","GUARD",""),
    ANCHOR_VIDEO(203,"视频收入","视频收入","VIDEO",""),
    ANCHOR_IM(204,"聊天收入","视频收入","IM",""),

    // 分销
    ONE_RECHARGE(301,"充值分成","邀请奖励","RECHARGE",""),
    ONE_GIFT(302,"礼物分成","邀请奖励","GIFT",""),
    ONE_GUARD(303,"守护分成","邀请奖励","GUARD",""),

    ONE_VIDEO(304,"视频分成","邀请奖励","VIDEO",""),

    // 工会
    UNION_GIFT(401,"礼物工会分成","工会提成","GIFT",""),
    UNION_GUARD(402,"守护工会分成","工会提成","GUARD",""),
    UNION_VIDEO(403,"视频工会分成","工会提成","VIDEO",""),

    // 系统
    SYSTEM_COIN_INCS(1001,"后台新增余额","系统调账","RECHARGE","后台人工调增余额"),
    SYSTEM_COIN_DECR(1002,"后台减少余额","系统调账","RECHARGE","后台人工调减余额"),
    SYSTEM_INCOME_COIN_INCS(1003,"后台新增收益","系统调账","RECHARGE","后台人工调增收益"),
    SYSTEM_INCOME_COIN_DECR(1004,"后台减小收益","系统调账","RECHARGE","后台人工调减收益"),
    ;

    private final Integer code;
    private final String adminName;
    private final String appName;
    private final String traceIdLink;
    private final String desc;

    AccountChangeEnum(Integer code, String adminName, String appName, String traceIdLink, String desc) {
        this.code = code;
        this.adminName = adminName;
        this.appName = appName;
        this.traceIdLink = traceIdLink;
        this.desc = desc;
    }
}
